services:
  xxl-job-admin:
    container_name: xxl-job-admin
    image: registry.cn-hangzhou.aliyuncs.com/xujun-public/xxl-job-admin:3.3.2
    pull_policy: always
    ports:
      - "26000:8080"
    volumes:
      - "/etc/localtime:/etc/localtime:ro"
      - "/data1/xxl-job-admin/applogs:/data/applogs"
    env_file:
      - env/container.env
    restart: always
    networks:
      - xxl_job_net

networks:
  xxl_job_net:
    name: xxl_job_net
    driver: bridge
    ipam:
      config:
        - subnet: 172.201.0.0/16